Skip to main content
GET
/
v1
/
data
/
segment-statistics
Get Table Segment Info of given table
curl --request GET \
  --url https://api.example.com/v1/data/segment-statistics \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "data": {
    "segment_statistics": [
      {
        "active_set_row_count": 0,
        "active_set_size_limit": 0,
        "deleted_row_count": 0,
        "inactive_set_count": 0,
        "indexed_row_count": {},
        "node": "node1",
        "row_count": 100000,
        "segment_id": "A",
        "table_name": "my_table"
      }
    ]
  },
  "exception": null,
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Response

Successfully retrieved the table segment statistics.

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
object
exception
object